#include <iostream>
using namespace std;
int main(int argc, char** argv) {
	int n,poznat;
	cin>>n>>poznat;
	int p[n];
	int trazeni;
	for (int i=0;i<n;i++){
		cin>>p[i];
		if(p[i]==poznat){
			trazeni=i+1;
		}
	}
	if(trazeni==n) trazeni=0;
	cout<<p[trazeni];
	return 0;
}